Capabilities - List By Location
Erhält die für den angegebenen Standort verfügbaren Abonnementmöglichkeiten.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/capabilities?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/capabilities?api-version=2025-01-01&include={include}
URI-Parameter
| Name | In | Erforderlich | Typ | Beschreibung |
|---|---|---|---|---|
|
location
|
path | True |
string |
Der Ortsname, dessen Fähigkeiten abgerufen werden. |
|
subscription
|
path | True |
string (uuid) |
Die ID des Zielabonnements. Der Wert muss eine UUID sein. |
|
api-version
|
query | True |
string minLength: 1 |
Die API-Version, die für diesen Vorgang verwendet werden soll. |
|
include
|
query |
Wenn angegeben, beschränkt die Antwort darauf, nur das ausgewählte Element einzubeziehen. |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
Die Anforderung ist erfolgreich. |
|
| Other Status Codes |
Unerwartete Fehlerantwort. |
Sicherheit
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name | Beschreibung |
|---|---|
| user_impersonation | Identitätswechsel ihres Benutzerkontos |
Beispiele
List subscription capabilities in the given location.
Beispielanforderung
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/eastus/capabilities?api-version=2025-01-01
Beispiel für eine Antwort
{
"name": "East US",
"isZoneResilientProvisioningAllowed": false,
"status": "Available",
"supportedJobAgentVersions": [
{
"name": "1.0",
"status": "Default",
"supportedEditions": [
{
"name": "1.0",
"status": "Default",
"supportedServiceLevelObjectives": [
{
"name": "JA100",
"sku": {
"name": "JA100",
"capacity": 100
},
"status": "Default"
},
{
"name": "JA200",
"sku": {
"name": "JA200",
"capacity": 200
},
"status": "Available"
},
{
"name": "JA400",
"sku": {
"name": "JA400",
"capacity": 400
},
"status": "Available"
},
{
"name": "JA800",
"sku": {
"name": "JA800",
"capacity": 800
},
"status": "Available"
}
]
}
]
}
],
"supportedManagedInstanceVersions": [
{
"name": "12.0",
"status": "Default",
"supportedEditions": [
{
"name": "GeneralPurpose",
"status": "Default",
"supportedFamilies": [
{
"name": "Gen4",
"sku": "GP_Gen4",
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "8",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 8
},
{
"name": "16",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 16
},
{
"name": "24",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 24
}
],
"zoneRedundant": true
},
{
"name": "Gen5",
"sku": "GP_Gen5",
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "8",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 8
},
{
"name": "16",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 16
},
{
"name": "24",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 24
}
],
"zoneRedundant": true
}
],
"supportedStorageCapabilities": [
{
"status": "Default",
"storageAccountType": "GRS"
},
{
"status": "Available",
"storageAccountType": "LRS"
},
{
"reason": "ZRS is available in multi-az regions",
"status": "Visible",
"storageAccountType": "ZRS"
},
{
"reason": "GZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "GZRS"
}
]
},
{
"name": "Hyperscale",
"status": "Available",
"supportedFamilies": [
{
"name": "Gen4",
"sku": "HS_Gen4",
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "4",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 4
},
{
"name": "8",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 8
},
{
"name": "16",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 16
},
{
"name": "24",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 24
}
],
"zoneRedundant": false
},
{
"name": "Gen5",
"sku": "HS_Gen5",
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "4",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 4
},
{
"name": "8",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 8
},
{
"name": "16",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 16
},
{
"name": "24",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 24
},
{
"name": "32",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 32
},
{
"name": "40",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 40
},
{
"name": "48",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 48
},
{
"name": "64",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 64
},
{
"name": "80",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 80
}
],
"zoneRedundant": false
}
],
"supportedStorageCapabilities": [
{
"status": "Default",
"storageAccountType": "GRS"
},
{
"status": "Available",
"storageAccountType": "LRS"
},
{
"reason": "ZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "ZRS"
},
{
"reason": "GZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "GZRS"
}
]
}
],
"supportedInstancePoolEditions": [
{
"name": "GeneralPurpose",
"status": "Default",
"supportedFamilies": [
{
"name": "Gen5",
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "GP_Gen5_8",
"status": "Default",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 8
},
{
"name": "GP_Gen5_16",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 16
},
{
"name": "GP_Gen5_24",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 24
},
{
"name": "GP_Gen5_32",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 32
},
{
"name": "GP_Gen5_40",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 40
},
{
"name": "GP_Gen5_64",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 64
},
{
"name": "GP_Gen5_80",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 80
}
]
}
]
}
]
}
],
"supportedServerVersions": [
{
"name": "12.0",
"status": "Default",
"supportedEditions": [
{
"name": "Hyperscale",
"readScale": {
"maxNumberOfReplicas": 4
},
"status": "Available",
"supportedServiceLevelObjectives": [
{
"name": "HS_Gen4_1",
"computeModel": "Provisioned",
"id": "9380cd0e-b025-4e9d-829c-c1918c1614bb",
"performanceLevel": {
"unit": "VCores",
"value": 1
},
"sku": {
"name": "HS_Gen4",
"capacity": 1,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_2",
"computeModel": "Provisioned",
"id": "34497c3f-24b9-4cee-968d-6e5e854670fe",
"performanceLevel": {
"unit": "VCores",
"value": 2
},
"sku": {
"name": "HS_Gen4",
"capacity": 2,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_2",
"computeModel": "Provisioned",
"id": "a420d2b2-ca32-4152-b1c6-dd8d4d9fd734",
"performanceLevel": {
"unit": "VCores",
"value": 2
},
"sku": {
"name": "HS_Gen5",
"capacity": 2,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_3",
"computeModel": "Provisioned",
"id": "5de845d2-2055-428c-b507-94131358cdd7",
"performanceLevel": {
"unit": "VCores",
"value": 3
},
"sku": {
"name": "HS_Gen4",
"capacity": 3,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_4",
"computeModel": "Provisioned",
"id": "d060b874-21f3-47b0-a9bd-a1a737cfcc6e",
"performanceLevel": {
"unit": "VCores",
"value": 4
},
"sku": {
"name": "HS_Gen4",
"capacity": 4,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_4",
"computeModel": "Provisioned",
"id": "60dba88b-2dfa-4123-be57-bd0dbfd92a72",
"performanceLevel": {
"unit": "VCores",
"value": 4
},
"sku": {
"name": "HS_Gen5",
"capacity": 4,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_5",
"computeModel": "Provisioned",
"id": "925a0916-15fb-4764-aa76-533d97f2d782",
"performanceLevel": {
"unit": "VCores",
"value": 5
},
"sku": {
"name": "HS_Gen4",
"capacity": 5,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_6",
"computeModel": "Provisioned",
"id": "d7aa11c2-e4c7-442a-962e-308b371f5ec1",
"performanceLevel": {
"unit": "VCores",
"value": 6
},
"sku": {
"name": "HS_Gen4",
"capacity": 6,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_6",
"computeModel": "Provisioned",
"id": "b9c594ec-a3fe-4bfe-808d-a595410d0a07",
"performanceLevel": {
"unit": "VCores",
"value": 6
},
"sku": {
"name": "HS_Gen5",
"capacity": 6,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_7",
"computeModel": "Provisioned",
"id": "d77eef57-6c00-4003-b140-822509b8736a",
"performanceLevel": {
"unit": "VCores",
"value": 7
},
"sku": {
"name": "HS_Gen4",
"capacity": 7,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_8",
"computeModel": "Provisioned",
"id": "694bf389-7cb2-4461-8fa2-0b06d8438315",
"performanceLevel": {
"unit": "VCores",
"value": 8
},
"sku": {
"name": "HS_Gen4",
"capacity": 8,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_8",
"computeModel": "Provisioned",
"id": "efdfac5f-3f8e-4500-95b1-684c07349860",
"performanceLevel": {
"unit": "VCores",
"value": 8
},
"sku": {
"name": "HS_Gen5",
"capacity": 8,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_9",
"computeModel": "Provisioned",
"id": "554ea52a-9ecc-4d87-bbc7-1e257705da3f",
"performanceLevel": {
"unit": "VCores",
"value": 9
},
"sku": {
"name": "HS_Gen4",
"capacity": 9,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_10",
"computeModel": "Provisioned",
"id": "576f3f38-b950-4eaa-b74e-33d831193441",
"performanceLevel": {
"unit": "VCores",
"value": 10
},
"sku": {
"name": "HS_Gen4",
"capacity": 10,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_10",
"computeModel": "Provisioned",
"id": "69697c3a-1946-4eb8-a5a4-a269168dde27",
"performanceLevel": {
"unit": "VCores",
"value": 10
},
"sku": {
"name": "HS_Gen5",
"capacity": 10,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_12",
"computeModel": "Provisioned",
"id": "1bee9dc8-68b4-44df-b870-8ab0e4d71e94",
"performanceLevel": {
"unit": "VCores",
"value": 12
},
"sku": {
"name": "HS_Gen5",
"capacity": 12,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_14",
"computeModel": "Provisioned",
"id": "07a8341d-c0b2-4000-bc7a-5b4dae2ad210",
"performanceLevel": {
"unit": "VCores",
"value": 14
},
"sku": {
"name": "HS_Gen5",
"capacity": 14,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_16",
"computeModel": "Provisioned",
"id": "7fc1f700-a45d-499e-901f-2a00645c54db",
"performanceLevel": {
"unit": "VCores",
"value": 16
},
"sku": {
"name": "HS_Gen4",
"capacity": 16,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_16",
"computeModel": "Provisioned",
"id": "6b56f70b-52e5-44ba-8cd5-4f63d224b206",
"performanceLevel": {
"unit": "VCores",
"value": 16
},
"sku": {
"name": "HS_Gen5",
"capacity": 16,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_18",
"computeModel": "Provisioned",
"id": "ba0029f2-3ff4-4ef6-9e65-e8f77b5dd1e2",
"performanceLevel": {
"unit": "VCores",
"value": 18
},
"sku": {
"name": "HS_Gen5",
"capacity": 18,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_20",
"computeModel": "Provisioned",
"id": "f1b2a082-f622-4fb8-bbef-e74deac3ec89",
"performanceLevel": {
"unit": "VCores",
"value": 20
},
"sku": {
"name": "HS_Gen5",
"capacity": 20,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_24",
"computeModel": "Provisioned",
"id": "f016d419-a031-4b93-ab62-7f3d2a789376",
"performanceLevel": {
"unit": "VCores",
"value": 24
},
"sku": {
"name": "HS_Gen4",
"capacity": 24,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_24",
"computeModel": "Provisioned",
"id": "222bc0ee-e195-4bbc-be05-3b849c3a8195",
"performanceLevel": {
"unit": "VCores",
"value": 24
},
"sku": {
"name": "HS_Gen5",
"capacity": 24,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_32",
"computeModel": "Provisioned",
"id": "05366cca-cc70-486e-a697-bb3fab877f75",
"performanceLevel": {
"unit": "VCores",
"value": 32
},
"sku": {
"name": "HS_Gen5",
"capacity": 32,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_40",
"computeModel": "Provisioned",
"id": "32542ef7-124d-4e66-8b41-9c6c0ab963c2",
"performanceLevel": {
"unit": "VCores",
"value": 40
},
"sku": {
"name": "HS_Gen5",
"capacity": 40,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_80",
"computeModel": "Provisioned",
"id": "6509db45-febe-44dd-a079-35f11d477984",
"performanceLevel": {
"unit": "VCores",
"value": 80
},
"sku": {
"name": "HS_Gen5",
"capacity": 80,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
}
],
"supportedStorageCapabilities": [
{
"status": "Default",
"storageAccountType": "GRS"
},
{
"status": "Available",
"storageAccountType": "LRS"
},
{
"reason": "ZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "ZRS"
},
{
"reason": "GZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "GZRS"
}
],
"zonePinning": true,
"zoneRedundant": false
}
],
"supportedElasticPoolEditions": [
{
"name": "BusinessCritical",
"status": "Available",
"supportedElasticPoolPerformanceLevels": [
{
"maxDatabaseCount": 100,
"performanceLevel": {
"unit": "VCores",
"value": 3
},
"sku": {
"name": "BC_Gen4",
"capacity": 3,
"family": "Gen4",
"tier": "BusinessCritical"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_1",
"status": "Available",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_2",
"status": "Available",
"zoneRedundant": false
}
],
"supportedMaxSizes": [
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 1048576,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"supportedPerDatabaseMaxPerformanceLevels": [
{
"limit": 0.25,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 3,
"status": "Default",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 3,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
}
],
"supportedPerDatabaseMaxSizes": [
{
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"maxValue": {
"limit": 1048576,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"zoneRedundant": false
},
{
"maxDatabaseCount": 100,
"performanceLevel": {
"unit": "VCores",
"value": 12
},
"sku": {
"name": "BC_Gen5",
"capacity": 12,
"family": "Gen5",
"tier": "BusinessCritical"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_1",
"status": "Available",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_2",
"status": "Available",
"zoneRedundant": false
}
],
"supportedMaxSizes": [
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 1048576,
"unit": "Megabytes"
},
"maxValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Available"
}
],
"supportedPerDatabaseMaxPerformanceLevels": [
{
"limit": 0.25,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 12,
"status": "Default",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
}
],
"supportedPerDatabaseMaxSizes": [
{
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Available"
}
],
"zoneRedundant": true
},
{
"maxDatabaseCount": 100,
"performanceLevel": {
"unit": "VCores",
"value": 128
},
"sku": {
"name": "BC_M",
"capacity": 128,
"family": "M",
"tier": "BusinessCritical"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_1",
"status": "Available",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_2",
"status": "Available",
"zoneRedundant": false
}
],
"supportedMaxSizes": [
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 1048576,
"unit": "Megabytes"
},
"maxValue": {
"limit": 4194304,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"supportedPerDatabaseMaxPerformanceLevels": [
{
"limit": 8,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 80,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"unit": "VCores"
},
{
"limit": 80,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 128,
"status": "Default",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"unit": "VCores"
},
{
"limit": 80,
"status": "Available",
"unit": "VCores"
},
{
"limit": 128,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
}
],
"supportedPerDatabaseMaxSizes": [
{
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 4194304,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"zoneRedundant": false
}
],
"zoneRedundant": false
}
]
}
]
}
Definitionen
| Name | Beschreibung |
|---|---|
|
Auto |
Unterstützter Zeitbereich für automatische Pausenverzögerung |
|
Capability |
Wenn angegeben, beschränkt die Antwort darauf, nur das ausgewählte Element einzubeziehen. |
|
Capability |
Der Status der Funktion. |
|
Edition |
Die Edition-Funktion. |
|
Elastic |
Die elastische Pooleditionsfunktion. |
|
Elastic |
Die maximale Leistungsebene auf Datenbankebene. |
|
Elastic |
Die Mindestfunktion pro Datenbankleistungsebene. |
|
Elastic |
Die Leistungsebene des Elastic Pools. |
|
Error |
Der Ressourcenverwaltungsfehler zusätzliche Informationen. |
|
Error |
Das Fehlerdetails. |
|
Error |
Fehlerantwort |
|
Free |
Gibt das Verhalten an, wenn monatliche kostenlose Grenzwerte für die kostenlose Datenbank erschöpft sind. AutoPause: Die Datenbank wird automatisch angehalten, wenn die freien Grenzwerte für den Rest des Monats erschöpft sind. BillForUsage: Die Datenbank wird weiterhin online sein, wenn die freien Grenzwerte erschöpft sind, und jegliche Überlastung wird in Rechnung gestellt. |
|
Free |
Unterstützte Optionen für das Erschöpfungsverhalten freier Grenzwerte |
|
Instance |
Die Instanzpoolfunktion |
|
Instance |
Die Instanzpoolfamilienfunktion. |
|
Instance |
Die Funktion für virtuelle Kerne der verwalteten Instanz. |
|
Job |
Die Jobagent-Edition-Funktion. |
|
Job |
Die objektive Leistungsfähigkeit des Jobvermittlers. |
|
Job |
Die Fähigkeit zur Jobagent-Version. |
|
License |
Die Lizenztypfunktion |
|
Location |
Die Standortfunktion. |
|
Log |
Die Protokollgröße.The log size capability. |
|
Log |
Die Einheiten, in denen der Grenzwert ausgedrückt wird. |
|
Maintenance |
Die Wartungskonfigurationsfunktion |
|
Managed |
Die verwaltete Serverfunktion |
|
Managed |
Die Verwaltete Serverfamilienfunktion. |
|
Managed |
Die Wartungskonfigurationsfunktion |
|
Managed |
Die Funktion für virtuelle Kerne der verwalteten Instanz. |
|
Managed |
Die Verwaltete Instanzfunktion |
|
Max |
Die maximale Limitreichweite. |
|
Max |
Die maximale Größe. |
|
Max |
Die maximale Größenbereichsfunktion. |
|
Max |
Die Einheiten, in denen der Grenzwert ausgedrückt wird. |
|
Min |
Die Min.-Kapazität |
|
Pause |
Die Zeiteinheit, in der die Verzögerung angegeben ist, wird in angegeben |
|
Per |
Unterstützter Zeitbereich für automatische Pausenverzögerung |
|
Performance |
Die Funktion auf Leistungsebene. |
|
Performance |
Einheitstyp, der zur Messung des Leistungsniveaus verwendet wird. |
|
Read |
Die Lesemaßstabfunktion. |
|
Server |
Die Serverfunktion |
|
Service |
Die Funktion der Dienstziele. |
| Sku |
Eine ARM-Ressourcen-SKU. |
|
Storage |
Die Speicherkontotypfunktion. |
|
Storage |
Der Speicherkontotyp für die Datenbank-Backups. |
|
Zone |
Die Zonen-Pinning-Fähigkeit |
AutoPauseDelayTimeRange
Unterstützter Zeitbereich für automatische Pausenverzögerung
| Name | Typ | Beschreibung |
|---|---|---|
| default |
integer (int32) |
Der Standardwert ist, dass kein Wert angegeben wird |
| doNotPauseValue |
integer (int32) |
Wert, der verwendet wird, um nicht zu pausieren (unendliche Verzögerung vor der Pause) |
| maxValue |
integer (int32) |
Maximalwert |
| minValue |
integer (int32) |
Minimalwert |
| stepSize |
integer (int32) |
Schrittwert für diskrete Werte zwischen dem Minimal- und dem Maximalwert. |
| unit |
Die Zeiteinheit, in der die Verzögerung angegeben ist, wird in angegeben |
CapabilityGroup
Wenn angegeben, beschränkt die Antwort darauf, nur das ausgewählte Element einzubeziehen.
| Wert | Beschreibung |
|---|---|
| supportedEditions |
unterstützte Editionen |
| supportedElasticPoolEditions |
supportedElasticPoolEditions |
| supportedManagedInstanceVersions |
supportedManagedInstanceVersions |
| supportedInstancePoolEditions |
supportedInstancePoolEditions |
| supportedManagedInstanceEditions |
supportedManagedInstanceEditions |
| supportedJobAgentVersions |
supportedJobAgentVersions |
CapabilityStatus
Der Status der Funktion.
| Wert | Beschreibung |
|---|---|
| Visible |
Sichtbar |
| Available |
Verfügbar |
| Default |
Vorgabe |
| Disabled |
Deaktiviert |
EditionCapability
Die Edition-Funktion.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name der Datenbankausgabe. |
| readScale |
Die Lese-Skalierungsfunktion für die Ausgabe. |
|
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedServiceLevelObjectives |
Die Liste der unterstützten Dienstziele für die Ausgabe. |
|
| supportedStorageCapabilities |
Die Liste der unterstützten Speicherfunktionen für diese Edition |
|
| zonePinning |
boolean |
Ob Zonen-Pinning für die Edition unterstützt wird oder nicht. |
| zoneRedundant |
boolean |
Ob Zonenredundanz für die Edition unterstützt wird oder nicht. |
ElasticPoolEditionCapability
Die elastische Pooleditionsfunktion.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name der elastischen Pool-Edition. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedElasticPoolPerformanceLevels |
Die Liste der unterstützten DTU-Niveaus des elastischen Pools für die Edition. |
|
| zonePinning |
boolean |
Ob Zonen-Pinning für die Edition unterstützt wird oder nicht. |
| zoneRedundant |
boolean |
Ob Zonenredundanz für die Edition unterstützt wird oder nicht. |
ElasticPoolPerDatabaseMaxPerformanceLevelCapability
Die maximale Leistungsebene auf Datenbankebene.
| Name | Typ | Beschreibung |
|---|---|---|
| limit |
number (double) |
Das maximale Leistungsniveau pro Datenbank. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedPerDatabaseMinPerformanceLevels |
Die Liste der unterstützten Mindestleistungsstufen der Datenbank. |
|
| unit |
Einheitstyp, der zur Messung des Leistungsniveaus verwendet wird. |
ElasticPoolPerDatabaseMinPerformanceLevelCapability
Die Mindestfunktion pro Datenbankleistungsebene.
| Name | Typ | Beschreibung |
|---|---|---|
| limit |
number (double) |
Das Mindestleistungsniveau pro Datenbank. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| unit |
Einheitstyp, der zur Messung des Leistungsniveaus verwendet wird. |
ElasticPoolPerformanceLevelCapability
Die Leistungsebene des Elastic Pools.
| Name | Typ | Beschreibung |
|---|---|---|
| includedMaxSize |
Die enthaltene (kostenlose) maximale Größe für dieses Leistungsniveau. |
|
| maxDatabaseCount |
integer (int32) |
Die maximale Anzahl unterstützter Datenbanken. |
| performanceLevel |
Das Leistungsniveau für den Pool. |
|
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| sku |
Die Sku. |
|
| status |
Der Status der Funktion. |
|
| supportedAutoPauseDelay |
Unterstützte Zeitspanne für Auto-Pause-Verzögerung |
|
| supportedLicenseTypes |
Liste der unterstützten Lizenztypen. |
|
| supportedMaintenanceConfigurations |
Liste der unterstützten Wartungskonfigurationen |
|
| supportedMaxSizes |
Die Liste der unterstützten maximalen Größen. |
|
| supportedMinCapacities |
Liste unterstützter Min-Kapazitäten |
|
| supportedPerDatabaseAutoPauseDelay |
Unterstützte Zeitspanne für die automatische Pauseverzögerung pro Datenbank |
|
| supportedPerDatabaseMaxPerformanceLevels |
Die Liste der pro Datenbank unterstützten maximalen Leistungsniveaus. |
|
| supportedPerDatabaseMaxSizes |
Die Liste der maximal unterstützten maximalen Größen pro Datenbank. |
|
| supportedZones |
Liste der unterstützten Verfügbarkeitszonen |
|
| zoneRedundant |
boolean |
Ob Zonenredundanz für das Leistungsniveau unterstützt wird oder nicht. |
ErrorAdditionalInfo
Der Ressourcenverwaltungsfehler zusätzliche Informationen.
| Name | Typ | Beschreibung |
|---|---|---|
| info |
object |
Die zusätzlichen Informationen. |
| type |
string |
Der zusätzliche Informationstyp. |
ErrorDetail
Das Fehlerdetails.
| Name | Typ | Beschreibung |
|---|---|---|
| additionalInfo |
Die zusätzlichen Informationen des Fehlers. |
|
| code |
string |
Der Fehlercode. |
| details |
Die Fehlerdetails. |
|
| message |
string |
Die Fehlermeldung. |
| target |
string |
Das Fehlerziel. |
ErrorResponse
Fehlerantwort
| Name | Typ | Beschreibung |
|---|---|---|
| error |
Das Fehlerobjekt. |
FreeLimitExhaustionBehavior
Gibt das Verhalten an, wenn monatliche kostenlose Grenzwerte für die kostenlose Datenbank erschöpft sind.
AutoPause: Die Datenbank wird automatisch angehalten, wenn die freien Grenzwerte für den Rest des Monats erschöpft sind.
BillForUsage: Die Datenbank wird weiterhin online sein, wenn die freien Grenzwerte erschöpft sind, und jegliche Überlastung wird in Rechnung gestellt.
| Wert | Beschreibung |
|---|---|
| AutoPause |
AutoPause |
| BillOverUsage |
BillOverUsage |
FreeLimitExhaustionBehaviorCapability
Unterstützte Optionen für das Erschöpfungsverhalten freier Grenzwerte
| Name | Typ | Beschreibung |
|---|---|---|
| exhaustionBehaviorType |
Typ des Erschöpfungsverhaltens freier Grenzwerte |
|
| status |
Status des Erschöpfungsverhaltens freier Grenzwerte |
InstancePoolEditionCapability
Die Instanzpoolfunktion
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name der Instanzpool-Version. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedFamilies |
Die unterstützten Familien. |
InstancePoolFamilyCapability
Die Instanzpoolfamilienfunktion.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Familienname. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedLicenseTypes |
Liste der unterstützten Lizenztypen. |
|
| supportedVcoresValues |
Liste der unterstützten Werte virtueller Kerne. |
InstancePoolVcoresCapability
Die Funktion für virtuelle Kerne der verwalteten Instanz.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der virtuelle Kernel-Identifikator. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| storageLimit |
Speicherlimit. |
|
| value |
integer (int32) |
Die virtuellen Kerne sind wert. |
JobAgentEditionCapability
Die Jobagent-Edition-Funktion.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name der Jobagent-Ausgabe. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedServiceLevelObjectives |
Die Liste der unterstützten Service-Level-Ziele für die Ausgabe. |
JobAgentServiceLevelObjectiveCapability
Die objektive Leistungsfähigkeit des Jobvermittlers.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name des Dienstziels. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| sku |
Die Sku. |
|
| status |
Der Status der Funktion. |
JobAgentVersionCapability
Die Fähigkeit zur Jobagent-Version.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name der Vermittlungsversion. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedEditions |
Die Liste der unterstützten Ausgaben. |
LicenseTypeCapability
Die Lizenztypfunktion
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Lizenztypkennung. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
LocationCapabilities
Die Standortfunktion.
| Name | Typ | Beschreibung |
|---|---|---|
| isZoneResilientProvisioningAllowed |
boolean |
Ob das Abonnement erlaubt ist, zonenresiliente Ressourcen bereitzustellen. |
| name |
string |
Der Name des Speicherorts. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedJobAgentVersions |
Die Liste der unterstützten Versionen für Arbeitsvermittler. |
|
| supportedManagedInstanceVersions |
Die Liste der unterstützten verwalteten Instanzversionen. |
|
| supportedServerVersions |
Die Liste der unterstützten Serverversionen. |
LogSizeCapability
Die Protokollgröße.The log size capability.
| Name | Typ | Beschreibung |
|---|---|---|
| limit |
integer (int32) |
Die Blockgrößenbegrenzung (siehe 'Einheit' für die Einheiten). |
| unit |
Die Einheiten, in denen der Grenzwert ausgedrückt wird. |
LogSizeUnit
Die Einheiten, in denen der Grenzwert ausgedrückt wird.
| Wert | Beschreibung |
|---|---|
| Megabytes |
Megabyte |
| Gigabytes |
Gigabyte |
| Terabytes |
Terabyte |
| Petabytes |
Petabytes |
| Percent |
Prozent |
MaintenanceConfigurationCapability
Die Wartungskonfigurationsfunktion
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Name der Wartungskonfiguration |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| zoneRedundant |
boolean |
Ob Zonenredundanz für die Wartungskonfiguration unterstützt wird oder nicht. |
ManagedInstanceEditionCapability
Die verwaltete Serverfunktion
| Name | Typ | Beschreibung |
|---|---|---|
| isGeneralPurposeV2 |
boolean |
Gibt an, ob dies eine GPv2-Variante der General Purpose Edition ist. |
| name |
string |
Der Name der verwalteten Serverversion. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedFamilies |
Die unterstützten Familien. |
|
| supportedStorageCapabilities |
Die Liste der unterstützten Speicherfunktionen für diese Edition |
ManagedInstanceFamilyCapability
Die Verwaltete Serverfamilienfunktion.
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Familienname. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| sku |
string |
SKU-Name. |
| status |
Der Status der Funktion. |
|
| supportedLicenseTypes |
Liste der unterstützten Lizenztypen. |
|
| supportedVcoresValues |
Liste der unterstützten Werte virtueller Kerne. |
|
| zoneRedundant |
boolean |
Ob eine Zonenentlassung für die Familie unterstützt wird oder nicht. |
ManagedInstanceMaintenanceConfigurationCapability
Die Wartungskonfigurationsfunktion
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Name der Wartungskonfiguration |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
ManagedInstanceVcoresCapability
Die Funktion für virtuelle Kerne der verwalteten Instanz.
| Name | Typ | Beschreibung |
|---|---|---|
| includedMaxSize |
Enthaltene Größe. |
|
| includedStorageIOps |
integer (int64) |
Enthaltene Speicher-IOps. |
| includedStorageThroughputMBps |
integer (int64) |
Inklusive Speicherdurchsatz MBps. |
| instancePoolSupported |
boolean |
Das stimmt, wenn dieses Service-Ziel für verwaltete Instanzen in einem Instanzpool unterstützt wird. |
| iopsIncludedValueOverrideFactorPerSelectedStorageGB |
number (double) |
IOps-Übersteuerungsfaktor pro ausgewähltem Speicher-GB wurde enthalten. |
| iopsMinValueOverrideFactorPerSelectedStorageGB |
number (double) |
Minimaler IOps-Überschreibungsfaktor pro ausgewähltem Speicher-GB. |
| name |
string |
Der virtuelle Kernel-Identifikator. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| standaloneSupported |
boolean |
Das stimmt, wenn dieses Dienstziel für eigenständige verwaltete Instanzen unterstützt wird. |
| status |
Der Status der Funktion. |
|
| supportedMaintenanceConfigurations |
Liste der unterstützten Wartungskonfigurationen |
|
| supportedMemoryLimitsMB |
Speicher begrenzt MB-Bereiche. |
|
| supportedMemorySizesInGB |
Unterstützte Speichergrößen in GB. |
|
| supportedStorageIOps |
Speicher-IOps-Bereiche. |
|
| supportedStorageSizes |
Lagergrößenbereiche. |
|
| supportedStorageThroughputMBps |
Speicherdurchsatz-MBps-Bereiche. |
|
| throughputMBpsIncludedValueOverrideFactorPerSelectedStorageGB |
number (double) |
Inklusive Durchsatz-MBps-Übersteuerungsfaktor pro ausgewähltem Speicher-GB. |
| throughputMBpsMinValueOverrideFactorPerSelectedStorageGB |
number (double) |
Minimaler Durchsatz-MBps-Überschreibungsfaktor pro ausgewähltem Speicher-GB. |
| value |
integer (int32) |
Die virtuellen Kerne sind wert. |
ManagedInstanceVersionCapability
Die Verwaltete Instanzfunktion
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name der Serverversion. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedEditions |
Die Liste der unterstützten Versionen der verwalteten Instanzen. |
|
| supportedInstancePoolEditions |
Die Liste der unterstützten Instanzpool-Editionen. |
MaxLimitRangeCapability
Die maximale Limitreichweite.
| Name | Typ | Beschreibung |
|---|---|---|
| maxValue |
integer (int64) |
Maximalwert. |
| minValue |
integer (int64) |
Minimalwert. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| scaleSize |
integer (int64) |
Skalierung/Schrittweite für diskrete Werte zwischen dem Minimal- und dem Maximalwert. |
| status |
Der Status der Funktion. |
MaxSizeCapability
Die maximale Größe.
| Name | Typ | Beschreibung |
|---|---|---|
| limit |
integer (int32) |
Die maximale Größenbegrenzung (siehe 'Einheit' für die Einheiten). |
| unit |
Die Einheiten, in denen der Grenzwert ausgedrückt wird. |
MaxSizeRangeCapability
Die maximale Größenbereichsfunktion.
| Name | Typ | Beschreibung |
|---|---|---|
| logSize |
Größe des Transaktionsprotokolls. |
|
| maxValue |
Maximalwert. |
|
| minValue |
Minimalwert. |
|
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| scaleSize |
Skalierung/Schrittweite für diskrete Werte zwischen dem Minimal- und dem Maximalwert. |
|
| status |
Der Status der Funktion. |
MaxSizeUnit
Die Einheiten, in denen der Grenzwert ausgedrückt wird.
| Wert | Beschreibung |
|---|---|
| Megabytes |
Megabyte |
| Gigabytes |
Gigabyte |
| Terabytes |
Terabyte |
| Petabytes |
Petabytes |
MinCapacityCapability
Die Min.-Kapazität
| Name | Typ | Beschreibung |
|---|---|---|
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| value |
number (double) |
Min. Kapazitätswert |
PauseDelayTimeUnit
Die Zeiteinheit, in der die Verzögerung angegeben ist, wird in angegeben
| Wert | Beschreibung |
|---|---|
| Minutes |
Minuten |
PerDatabaseAutoPauseDelayTimeRange
Unterstützter Zeitbereich für automatische Pausenverzögerung
| Name | Typ | Beschreibung |
|---|---|---|
| default |
integer (int32) |
Standardwert, wenn kein Wert angegeben wird |
| doNotPauseValue |
integer (int32) |
Wert, der verwendet wird, um nicht zu pausieren (unendliche Verzögerung vor der Pause) |
| maxValue |
integer (int32) |
Maximalwert |
| minValue |
integer (int32) |
Minimalwert |
| stepSize |
integer (int32) |
Schrittwert für diskrete Werte zwischen dem Minimal- und dem Maximalwert. |
| unit |
Die Zeiteinheit, in der die Verzögerung angegeben ist, wird in angegeben |
PerformanceLevelCapability
Die Funktion auf Leistungsebene.
| Name | Typ | Beschreibung |
|---|---|---|
| unit |
Einheitstyp, der zur Messung des Leistungsniveaus verwendet wird. |
|
| value |
number (double) |
Leistungsniveau-Wert. |
PerformanceLevelUnit
Einheitstyp, der zur Messung des Leistungsniveaus verwendet wird.
| Wert | Beschreibung |
|---|---|
| DTU |
DTU |
| VCores |
VCores |
ReadScaleCapability
Die Lesemaßstabfunktion.
| Name | Typ | Beschreibung |
|---|---|---|
| maxNumberOfReplicas |
integer (int32) |
Die maximale Anzahl von Read-Scale-Replika. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
ServerVersionCapability
Die Serverfunktion
| Name | Typ | Beschreibung |
|---|---|---|
| name |
string |
Der Name der Serverversion. |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| supportedEditions |
Die Liste der unterstützten Datenbank-Editionen. |
|
| supportedElasticPoolEditions |
Die Liste der unterstützten elastischen Pool-Editionen. |
ServiceObjectiveCapability
Die Funktion der Dienstziele.
| Name | Typ | Beschreibung |
|---|---|---|
| computeModel |
string |
Das Rechenmodell |
| id |
string (uuid) |
Die eindeutige ID des Dienstziels. |
| includedMaxSize |
Die enthaltene (kostenlose) maximale Größe. |
|
| name |
string |
Der Name des Dienstziels. |
| performanceLevel |
Das Leistungsniveau. |
|
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| sku |
Die Sku. |
|
| status |
Der Status der Funktion. |
|
| supportedAutoPauseDelay |
Unterstützte Zeitspanne für Auto-Pause-Verzögerung |
|
| supportedFreeLimitExhaustionBehaviors |
Liste der unterstützten Verhaltensweisen zur Erschöpfung des freien Limits |
|
| supportedLicenseTypes |
Liste der unterstützten Lizenztypen. |
|
| supportedMaintenanceConfigurations |
Liste der unterstützten Wartungskonfigurationen |
|
| supportedMaxSizes |
Die Liste der unterstützten maximalen Datenbankgrößen. |
|
| supportedMinCapacities |
Liste unterstützter Min-Kapazitäten |
|
| supportedZones |
Liste der unterstützten Verfügbarkeitszonen |
|
| zonePinning |
boolean |
Ob Zonen-Pinning unterstützt wird oder nicht. |
| zoneRedundant |
boolean |
Ob Zonenredundanz für das Dienstziel unterstützt wird oder nicht. |
Sku
Eine ARM-Ressourcen-SKU.
| Name | Typ | Beschreibung |
|---|---|---|
| capacity |
integer (int32) |
Kapazität der jeweiligen SKU. |
| family |
string |
Wenn der Dienst über unterschiedliche Hardwaregenerationen verfügt, kann dies für dieselbe SKU hier erfasst werden. |
| name |
string |
Der Name der SKU, in der Regel ein Buchstabe + Zahlencode, z. B. P3. |
| size |
string |
Größe der jeweiligen SKU |
| tier |
string |
Die Stufe oder Edition der jeweiligen SKU, z. B. Basic, Premium. |
StorageCapability
Die Speicherkontotypfunktion.
| Name | Typ | Beschreibung |
|---|---|---|
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |
|
| storageAccountType |
Der Speicherkontotyp für die Datenbank-Backups. |
StorageCapabilityStorageAccountType
Der Speicherkontotyp für die Datenbank-Backups.
| Wert | Beschreibung |
|---|---|
| GRS |
GRS |
| LRS |
LRS |
| ZRS |
ZRS |
| GZRS |
GZRS |
ZonePinningCapability
Die Zonen-Pinning-Fähigkeit
| Name | Typ | Beschreibung |
|---|---|---|
| availabilityZone |
string |
Name der Verfügbarkeitszone |
| reason |
string |
Der Grund dafür, dass die Funktion nicht verfügbar ist. |
| status |
Der Status der Funktion. |